<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.9.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    
    <!--
        Added the entity Experience.
    -->
    <changeSet id="20210518095945-1" author="jhipster">
        <createTable tableName="experience" remarks="The Employee entity.">
            <column name="id" type="bigint">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="first_name" type="varchar(255)" remarks="The firstname attribute.">
                <constraints nullable="true" />
            </column>
            <column name="last_name" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="email" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="phone_number" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="hire_date" type="datetime">
                <constraints nullable="true" />
            </column>
            <column name="salary" type="bigint">
                <constraints nullable="true" />
            </column>
            <column name="commission_pct" type="bigint">
                <constraints nullable="true" />
            </column>
            <column name="ressource_propose_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
        <dropDefaultValue tableName="experience" columnName="hire_date" columnDataType="datetime"/>
    </changeSet>

    <changeSet id="20210518095945-1-relations" author="jhipster">

    </changeSet>
    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20210518095945-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/experience.csv"
                  separator=";"
                  tableName="experience">
            <column name="id" type="numeric"/>
            <column name="first_name" type="string"/>
            <column name="last_name" type="string"/>
            <column name="email" type="string"/>
            <column name="phone_number" type="string"/>
            <column name="hire_date" type="datetime"/>
            <column name="salary" type="numeric"/>
            <column name="commission_pct" type="numeric"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>

</databaseChangeLog>
